GNU bug report logs - #10001
[semantic] displayor -> displayer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Paul Eggert <eggert@HIDDEN>; Keywords: patch; dated Wed, 9 Nov 2011 06:24:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added blocking bug(s) 23792 Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Changed bug title to '[semantic] displayor -> displayer' from 'displayor -> displayer' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 10001 <at> debbugs.gnu.org:


Received: (at 10001) by debbugs.gnu.org; 25 Feb 2016 07:08:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 02:08:23 2016
Received: from localhost ([127.0.0.1]:44688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYq2A-00058s-Qz
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2016 02:08:22 -0500
Received: from randomsample.de ([5.45.97.173]:38093)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <deng@HIDDEN>) id 1aYq28-00058k-Hy
 for 10001 <at> debbugs.gnu.org; Thu, 25 Feb 2016 02:08:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=gzVeVl4uMah/FxJoXN4FU8L/DoS3YylRglTKvKdXmbo=; 
 b=UsTeC5Mwek+uVb9txYxeeRDwDy55iJemHjF0PJf0CuMank7uXDn2EijY3Hi3J4MgqvtrMjg63KW/YU+ClJX3CBpkS894JKtlUzsI3fId7hqL1enSovaaii2ZiJbSKa03;
Received: from ip4d1494ed.dynamic.kabel-deutschland.de ([77.20.148.237]
 helo=isaac)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80) (envelope-from <deng@HIDDEN>)
 id 1aYq25-0005SM-4v; Thu, 25 Feb 2016 08:08:17 +0100
From: David Engster <deng@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10001: displayor -> displayer
In-Reply-To: <8737shwb1b.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 25 Feb 2016 17:07:20 +1030")
References: <4EBA1C3D.6070004@HIDDEN>
 <E1RO67B-0005Sq-8i@HIDDEN> <4EBACAE4.9060508@HIDDEN>
 <83ipmtglri.fsf@HIDDEN> <87pqh1m51h.fsf@HIDDEN>
 <8737shwb1b.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/25.0.50 (gnu/linux)
Date: Thu, 25 Feb 2016 08:08:15 +0100
Message-ID: <87si0hfesg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 10001
Cc: Eli Zaretskii <eliz@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 10001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen writes:
> David Engster <deng@HIDDEN> writes:
>
>> Since Paul's patch changes function and variable names, some of them
>> customizable, we cannot merge it for Emacs 24.1.. I will merge it into
>> the CEDET repository instead; we'll also have to mark some of the old
>> names as obsolete. These changes will then be merged back to Emacs for
>> the 24.2. release.
>
> It seems like the version of Semantic in Emacs still talks about
> "displayor", so perhaps this was never done?

Yep, you got me. So this needs to be done on the big final CEDET merge,
which I wanted to do last year...

Sorry, any month now...

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.

Message received at 10001 <at> debbugs.gnu.org:


Received: (at 10001) by debbugs.gnu.org; 25 Feb 2016 06:37:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 01:37:52 2016
Received: from localhost ([127.0.0.1]:44628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYpYe-00015Z-MQ
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2016 01:37:52 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:41270)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aYpYb-00015P-2o
 for 10001 <at> debbugs.gnu.org; Thu, 25 Feb 2016 01:37:50 -0500
Received: from [175.103.25.178] (helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aYpYE-000504-M1; Thu, 25 Feb 2016 07:37:27 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: David Engster <deng@HIDDEN>
Subject: Re: bug#10001: displayor -> displayer
References: <4EBA1C3D.6070004@HIDDEN>
 <E1RO67B-0005Sq-8i@HIDDEN> <4EBACAE4.9060508@HIDDEN>
 <83ipmtglri.fsf@HIDDEN> <87pqh1m51h.fsf@HIDDEN>
Date: Thu, 25 Feb 2016 17:07:20 +1030
In-Reply-To: <87pqh1m51h.fsf@HIDDEN> (David Engster's message of "Wed, 09
 Nov 2011 21:09:30 +0100")
Message-ID: <8737shwb1b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aYpYE-000504-M1
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1456987047.46586@83rp9/NGGhWNCNRKjxfkbQ
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 10001
Cc: Eli Zaretskii <eliz@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 10001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

David Engster <deng@HIDDEN> writes:

> Since Paul's patch changes function and variable names, some of them
> customizable, we cannot merge it for Emacs 24.1.. I will merge it into
> the CEDET repository instead; we'll also have to mark some of the old
> names as obsolete. These changes will then be merged back to Emacs for
> the 24.2. release.

It seems like the version of Semantic in Emacs still talks about
"displayor", so perhaps this was never done?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.

Message received at 10001 <at> debbugs.gnu.org:


Received: (at 10001) by debbugs.gnu.org; 28 Aug 2013 01:10:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 27 21:10:37 2013
Received: from localhost ([127.0.0.1]:60192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VEUHL-0007MZ-BM
	for submit <at> debbugs.gnu.org; Tue, 27 Aug 2013 21:10:35 -0400
Received: from mail-ie0-f178.google.com ([209.85.223.178]:60414)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1VEUHJ-0007MR-JC
 for 10001 <at> debbugs.gnu.org; Tue, 27 Aug 2013 21:10:34 -0400
Received: by mail-ie0-f178.google.com with SMTP id f4so7974748iea.9
 for <10001 <at> debbugs.gnu.org>; Tue, 27 Aug 2013 18:10:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:cc:content-type;
 bh=1wSDKby4D1X1ktCxJepRuiHot8bkTFoNCc3JYL/WrwM=;
 b=dyVtVotDjTyiTlSyH8ktdLzMjEkp8uZcJnJd8YkajD1ZhjxkN0CB4cIIYwaShV6iCb
 xDtcX15wY+54IOMgOsw0M96tonOdW3porwRgqfTXG5Sp2t3WScv0PH/UEJ9yuFCkGgHg
 ndPKr5NLAeP1i7GuTbi6FLYpT/KNw5sjhDYUI4XZpU2TDmRYXu2nfs3C9b3d25BZyIFU
 SGmDzEYWfKs9BnyH356icYJdFcAofb+tKOUxNFCXhR+Oud+qlv1EL4SN4YoeB+Azfxff
 EbdGY4CUCUo3DqkHU7HZAWePRM/rp4C/dICH29r/eSFK1e1UTlvCsnnNP4uopm0FN4sG
 b4iQ==
MIME-Version: 1.0
X-Received: by 10.50.6.106 with SMTP id z10mr10990392igz.9.1377652232936; Tue,
 27 Aug 2013 18:10:32 -0700 (PDT)
Received: by 10.42.51.75 with HTTP; Tue, 27 Aug 2013 18:10:32 -0700 (PDT)
Date: Wed, 28 Aug 2013 09:10:32 +0800
Message-ID: <CAAF+z6HPekP1Q6aU7KOP5h8663GZN25SLpqvHcpne+P=68waRQ@HIDDEN>
Subject: Re: displayor -> displayer
From: Xue Fuqiao <xfq.free@HIDDEN>
To: deng@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 10001
Cc: 10001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

David Engster writes:

> Since Paul's patch changes function and variable names, some of them
> customizable, we cannot merge it for Emacs 24.1.. I will merge it into
> the CEDET repository instead; we'll also have to mark some of the old
> names as obsolete. These changes will then be merged back to Emacs for
> the 24.2. release.

I can still see them in Emacs 24.3.50.

-- 
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.
Added tag(s) patch. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10001 <at> debbugs.gnu.org:


Received: (at 10001) by debbugs.gnu.org; 9 Nov 2011 20:27:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 15:27:55 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ROEkU-0000Uc-Sx
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 15:27:55 -0500
Received: from randomsample.de ([83.169.19.17])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <deng@HIDDEN>) id 1ROEkS-0000UT-AL
	for 10001 <at> debbugs.gnu.org; Wed, 09 Nov 2011 15:27:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
	d=randomsample.de; s=a; 
	h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
	bh=9CaBHSnkl5TqM/RmfL5b2driAuYzRztRyjR0Nw1Kbpk=; 
	b=Onu7PcHI3tU3bd9wQ50nBi1X0SLUg0PQfoseMBNpp+y98+3ZDipWGCUmpsOjpCewgF0MNDvKvQPpHtaDsz6UVgWmqgvuWulLOY1eBkefEitF8FNUPC2+kAnG7stEWAvv;
Received: from dslc-082-083-055-210.pools.arcor-ip.net ([82.83.55.210]
	helo=spaten)
	by randomsample.de with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <deng@HIDDEN>)
	id 1ROEkJ-0008Ti-KH; Wed, 09 Nov 2011 21:27:43 +0100
From: David Engster <deng@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10001: displayor -> displayer
In-Reply-To: <83hb2dgiil.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Nov
	2011 22:14:58 +0200")
References: <4EBA1C3D.6070004@HIDDEN>
	<E1RO67B-0005Sq-8i@HIDDEN> <4EBACAE4.9060508@HIDDEN>
	<83ipmtglri.fsf@HIDDEN> <87pqh1m51h.fsf@HIDDEN>
	<83hb2dgiil.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.91 (gnu/linux)
Date: Wed, 09 Nov 2011 21:27:42 +0100
Message-ID: <87lirpm475.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 10001
Cc: eggert@HIDDEN, 10001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Eli Zaretskii writes:
>> From: David Engster <deng@HIDDEN>
>> Cc: Paul Eggert <eggert@HIDDEN>,  10001 <at> debbugs.gnu.org
>> Date: Wed, 09 Nov 2011 21:09:30 +0100
>
>> 
>> >> Should I have sent the bug report to that project?
>> >
>> > Probably.
>> 
>> This is not necessary. Semantic is an Emacs package, so bugs can be
>> reported here.
>
> I meant report to CEDET _as_well_, because:

[...]

I misread your statement. Reporting bugs to the CEDET mailing list as
well surely won't hurt. :-)

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.

Message received at 10001 <at> debbugs.gnu.org:


Received: (at 10001) by debbugs.gnu.org; 9 Nov 2011 20:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 15:17:54 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ROEao-0000Fm-06
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 15:17:54 -0500
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1ROEal-0000FU-RV
	for 10001 <at> debbugs.gnu.org; Wed, 09 Nov 2011 15:17:53 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0LUE00400TIL0J00@HIDDEN> for
	10001 <at> debbugs.gnu.org; Wed, 09 Nov 2011 22:16:58 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.228.42.212]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LUE003JTTO8CUE0@HIDDEN>;
	Wed, 09 Nov 2011 22:16:58 +0200 (IST)
Date: Wed, 09 Nov 2011 22:14:58 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10001: displayor -> displayer
In-reply-to: <87pqh1m51h.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: David Engster <deng@HIDDEN>
Message-id: <83hb2dgiil.fsf@HIDDEN>
References: <4EBA1C3D.6070004@HIDDEN>
	<E1RO67B-0005Sq-8i@HIDDEN>
	<4EBACAE4.9060508@HIDDEN> <83ipmtglri.fsf@HIDDEN>
	<87pqh1m51h.fsf@HIDDEN>
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 10001
Cc: eggert@HIDDEN, 10001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

> From: David Engster <deng@HIDDEN>
> Cc: Paul Eggert <eggert@HIDDEN>,  10001 <at> debbugs.gnu.org
> Date: Wed, 09 Nov 2011 21:09:30 +0100
> 
> >> Should I have sent the bug report to that project?
> >
> > Probably.
> 
> This is not necessary. Semantic is an Emacs package, so bugs can be
> reported here.

I meant report to CEDET _as_well_, because:

> Since Paul's patch changes function and variable names, some of them
> customizable, we cannot merge it for Emacs 24.1.. I will merge it into
> the CEDET repository instead; we'll also have to mark some of the old
> names as obsolete. These changes will then be merged back to Emacs for
> the 24.2. release.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.

Message received at 10001 <at> debbugs.gnu.org:


Received: (at 10001) by debbugs.gnu.org; 9 Nov 2011 20:09:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 15:09:44 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ROESu-0008Vh-1a
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 15:09:44 -0500
Received: from randomsample.de ([83.169.19.17])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <deng@HIDDEN>) id 1ROESr-0008VW-R9
	for 10001 <at> debbugs.gnu.org; Wed, 09 Nov 2011 15:09:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
	d=randomsample.de; s=a; 
	h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
	bh=Usa0T7ZylJZ/D2eLZ6QAI6Y6EE6C+UKWnD+/puvsoCI=; 
	b=CeGHTNpSN6HTK7gLrZ6giAZ2Uc1TDXIj9qddt0O5pYzeYtCDUJIBSqVaNXfWZ9KpjBQ6bTZT9qNl8BFynHHInlRqFYEvdPMSG3Lqam/Nip3ypIrumVJArV62X1tKcwGS;
Received: from dslc-082-083-055-210.pools.arcor-ip.net ([82.83.55.210]
	helo=spaten)
	by randomsample.de with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <deng@HIDDEN>)
	id 1ROESi-0008JB-0h; Wed, 09 Nov 2011 21:09:32 +0100
From: David Engster <deng@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10001: displayor -> displayer
In-Reply-To: <83ipmtglri.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Nov
	2011 21:04:49 +0200")
References: <4EBA1C3D.6070004@HIDDEN>
	<E1RO67B-0005Sq-8i@HIDDEN> <4EBACAE4.9060508@HIDDEN>
	<83ipmtglri.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.91 (gnu/linux)
Date: Wed, 09 Nov 2011 21:09:30 +0100
Message-ID: <87pqh1m51h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 10001
Cc: Paul Eggert <eggert@HIDDEN>, 10001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Eli Zaretskii writes:
>> Date: Wed, 09 Nov 2011 10:48:04 -0800
>> From: Paul Eggert <eggert@HIDDEN>
>> CC: 10001 <at> debbugs.gnu.org
>> I thought Semantic was an Emacs package.
>
> It is.
>
>> Is the Semantic code simply taken from some other project?
>
> Yes, see http://cedet.sourceforge.net/.
>
>> Should I have sent the bug report to that project?
>
> Probably.

This is not necessary. Semantic is an Emacs package, so bugs can be
reported here.

Since Paul's patch changes function and variable names, some of them
customizable, we cannot merge it for Emacs 24.1.. I will merge it into
the CEDET repository instead; we'll also have to mark some of the old
names as obsolete. These changes will then be merged back to Emacs for
the 24.2. release.

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.

Message received at 10001 <at> debbugs.gnu.org:


Received: (at 10001) by debbugs.gnu.org; 9 Nov 2011 19:07:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 14:07:04 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RODUG-00073y-2w
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 14:07:04 -0500
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1RODUD-00073U-BY
	for 10001 <at> debbugs.gnu.org; Wed, 09 Nov 2011 14:07:03 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0LUE00300QDXFY00@HIDDEN> for
	10001 <at> debbugs.gnu.org; Wed, 09 Nov 2011 21:06:48 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.228.42.212]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LUE00113QFBEOT0@HIDDEN>;
	Wed, 09 Nov 2011 21:06:48 +0200 (IST)
Date: Wed, 09 Nov 2011 21:04:49 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10001: displayor -> displayer
In-reply-to: <4EBACAE4.9060508@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Paul Eggert <eggert@HIDDEN>
Message-id: <83ipmtglri.fsf@HIDDEN>
References: <4EBA1C3D.6070004@HIDDEN>
	<E1RO67B-0005Sq-8i@HIDDEN>
	<4EBACAE4.9060508@HIDDEN>
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 10001
Cc: 10001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

> Date: Wed, 09 Nov 2011 10:48:04 -0800
> From: Paul Eggert <eggert@HIDDEN>
> CC: 10001 <at> debbugs.gnu.org
> 
> On 11/09/11 03:14, Eli Zaretskii wrote:
> > Emacs doesn't do the latter; Semantic does ;-)
> 
> Sorry, I don't know the difference
> (which means I'm not in on the joke, alas.)

Those typos were brought in when Semantic was merged into Emacs a year
or so ago, maybe more.

> I thought Semantic was an Emacs package.

It is.

> Is the Semantic code simply taken from some other project?

Yes, see http://cedet.sourceforge.net/.

> Should I have sent the bug report to that project?

Probably.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.

Message received at 10001 <at> debbugs.gnu.org:


Received: (at 10001) by debbugs.gnu.org; 9 Nov 2011 18:48:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 13:48:19 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RODC6-0006d2-NZ
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 13:48:19 -0500
Received: from smtp.cs.ucla.edu ([131.179.128.62])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eggert@HIDDEN>) id 1RODC4-0006cp-RV
	for 10001 <at> debbugs.gnu.org; Wed, 09 Nov 2011 13:48:17 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id 43093A60004;
	Wed,  9 Nov 2011 10:48:05 -0800 (PST)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id Wm-dSs5bTKvg; Wed,  9 Nov 2011 10:48:04 -0800 (PST)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id A7C62A60003;
	Wed,  9 Nov 2011 10:48:04 -0800 (PST)
Message-ID: <4EBACAE4.9060508@HIDDEN>
Date: Wed, 09 Nov 2011 10:48:04 -0800
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:7.0) Gecko/20110927 Thunderbird/7.0
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10001: displayor -> displayer
References: <4EBA1C3D.6070004@HIDDEN>
	<E1RO67B-0005Sq-8i@HIDDEN>
In-Reply-To: <E1RO67B-0005Sq-8i@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 10001
Cc: 10001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

On 11/09/11 03:14, Eli Zaretskii wrote:
> Emacs doesn't do the latter; Semantic does ;-)

Sorry, I don't know the difference
(which means I'm not in on the joke, alas.)

I thought Semantic was an Emacs package.
Is the Semantic code simply taken from some other project?
Should I have sent the bug report to that project?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.

Message received at 10001 <at> debbugs.gnu.org:


Received: (at 10001) by debbugs.gnu.org; 9 Nov 2011 11:14:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 06:14:51 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RO67G-0002RR-W9
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 06:14:51 -0500
Received: from fencepost.gnu.org ([140.186.70.10] ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1RO67F-0002RK-Kh
	for 10001 <at> debbugs.gnu.org; Wed, 09 Nov 2011 06:14:50 -0500
Received: from eliz by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <eliz@HIDDEN>)
	id 1RO67B-0005Sq-8i; Wed, 09 Nov 2011 06:14:45 -0500
Date: Wed, 09 Nov 2011 06:14:45 -0500
Message-Id: <E1RO67B-0005Sq-8i@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <4EBA1C3D.6070004@HIDDEN> (message from Paul Eggert on Tue, 
	08 Nov 2011 22:22:53 -0800)
Subject: Re: bug#10001: displayor -> displayer
References: <4EBA1C3D.6070004@HIDDEN>
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: 10001
Cc: 10001 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

> Date: Tue, 08 Nov 2011 22:22:53 -0800
> From: Paul Eggert <eggert@HIDDEN>
> 
> GNU Emacs often uses the correct English spelling "displayer",
> but it nearly as often uses the incorrect spelling "displayor".

Emacs doesn't do the latter; Semantic does ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Nov 2011 06:23:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 01:23:30 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RO1ZI-0004Kn-9K
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 01:23:30 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eggert@HIDDEN>) id 1RO1ZD-0004KW-Bm
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 01:23:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <eggert@HIDDEN>) id 1RO1Z1-0006Zq-Tn
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 01:23:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.1 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:49280)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <eggert@HIDDEN>) id 1RO1Z1-0006Zm-RB
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2011 01:23:11 -0500
Received: from eggs.gnu.org ([140.186.70.92]:34554)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <eggert@HIDDEN>) id 1RO1Yy-00082Q-Mw
	for bug-gnu-emacs@HIDDEN; Wed, 09 Nov 2011 01:23:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <eggert@HIDDEN>) id 1RO1Yu-0006ZL-HR
	for bug-gnu-emacs@HIDDEN; Wed, 09 Nov 2011 01:23:08 -0500
Received: from smtp.cs.ucla.edu ([131.179.128.62]:48122)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <eggert@HIDDEN>) id 1RO1Yt-0006ZC-NI
	for bug-gnu-emacs@HIDDEN; Wed, 09 Nov 2011 01:23:04 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id 3987FA60001
	for <bug-gnu-emacs@HIDDEN>; Tue,  8 Nov 2011 22:23:01 -0800 (PST)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id c5bj-jE4XuU4 for <bug-gnu-emacs@HIDDEN>;
	Tue,  8 Nov 2011 22:22:57 -0800 (PST)
Received: from [192.168.1.10] (pool-71-189-109-235.lsanca.fios.verizon.net
	[71.189.109.235])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 7415039E8006
	for <bug-gnu-emacs@HIDDEN>; Tue,  8 Nov 2011 22:22:57 -0800 (PST)
Message-ID: <4EBA1C3D.6070004@HIDDEN>
Date: Tue, 08 Nov 2011 22:22:53 -0800
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux i686;
	rv:7.0.1) Gecko/20110929 Thunderbird/7.0.1
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: displayor -> displayer
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.6 (----)

GNU Emacs often uses the correct English spelling "displayer",
but it nearly as often uses the incorrect spelling "displayor".
In standard English there's no such thing as a "displayor"
(just as there's no such thing as a "playor").

Here's a proposed patch.  It changes some of the Lisp names, so
it's not as trivial as the spelling fixes I recently installed,
and I'm filing a bug report instead.

=== modified file 'doc/misc/sem-user.texi'
--- doc/misc/sem-user.texi	2011-01-25 04:08:28 +0000
+++ doc/misc/sem-user.texi	2011-11-09 06:14:28 +0000
@@ -676,7 +676,7 @@
 If the tag at point has at least one completion, Semantic Idle
 Completions mode displays that completion inline---i.e., as part of
 the buffer text (you can change the display method by customizing
-@code{semantic-complete-inline-analyzer-idle-displayor-class}, as
+@code{semantic-complete-inline-analyzer-idle-displayer-class}, as
 described below).  The completed part is highlighted, to indicate that
 it is not yet properly inserted into the buffer.  The echo area shows
 the completion, and whether there are other possible completions, like
@@ -723,20 +723,20 @@
 a state for inline completion.
 @end deffn
 
-@deffn Option semantic-complete-inline-analyzer-idle-displayor-class
+@deffn Option semantic-complete-inline-analyzer-idle-displayer-class
 The value of this variable determines how
 @code{semantic-complete-analyze-inline-idle} shows its completions.
 Possible values include:
 
 @table @code
-@item semantic-displayor-ghost
+@item semantic-displayer-ghost
 Display completions ``inline'' with the buffer text, as described
 above.  This is the default value.
 
-@item semantic-displayor-tooltip
+@item semantic-displayer-tooltip
 Display completions in a tooltip.
 
-@item semantic-displayor-traditional
+@item semantic-displayer-traditional
 Display completions in a separate window.
 @end table
 @end deffn
@@ -804,21 +804,21 @@
 idle time (@pxref{Idle Completions Mode}).
 @end deffn
 
-@deffn Option semantic-complete-inline-analyzer-idle-displayor-class
+@deffn Option semantic-complete-inline-analyzer-idle-displayer-class
 The value of this variable determines how
 @code{semantic-complete-analyze-inline} shows its completions.
 Possible values include:
 
 @table @code
-@item semantic-displayor-traditional
+@item semantic-displayer-traditional
 Display completions in a separate window.  This is the default value.
 
-@item semantic-displayor-ghost
+@item semantic-displayer-ghost
 Display completions ``inline'' with the buffer text, similar to the
 default behavior of Semantic Idle Completions mode (@pxref{Idle
 Completions Mode}).
 
-@item semantic-displayor-tooltip
+@item semantic-displayer-tooltip
 Display completions in a tooltip.
 @end table
 @end deffn

=== modified file 'lisp/cedet/semantic/complete.el'
--- lisp/cedet/semantic/complete.el	2011-05-10 13:57:12 +0000
+++ lisp/cedet/semantic/complete.el	2011-11-09 06:14:28 +0000
@@ -72,17 +72,17 @@
 ;; plain name format, a postfix name such as method:class, or a
 ;; prefix name such as class.method.
 ;;
-;; DISPLAYORS
+;; DISPLAYERS
 ;;
-;; A displayor is in charge if showing the user interesting things
+;; A displayer is in charge if showing the user interesting things
 ;; about available completions, and can optionally provide a focus.
 ;; The simplest display just lists all available names in a separate
 ;; window.  It may even choose to show short names when there are
 ;; many to choose from, or long names when there are fewer.
 ;;
-;; A complex displayor could opt to help the user 'focus' on some
+;; A complex displayer could opt to help the user 'focus' on some
 ;; range.  For example, if 4 tags all have the same name, subsequent
-;; calls to the displayor may opt to show each tag one at a time in
+;; calls to the displayer may opt to show each tag one at a time in
 ;; the buffer.  When the user likes one, selection would cause the
 ;; 'focus' item to be selected.
 ;;
@@ -187,22 +187,22 @@
 Keeps STRINGS only in the history.")
 
 
-(defun semantic-complete-read-tag-engine (collector displayor prompt
+(defun semantic-complete-read-tag-engine (collector displayer prompt
 						    default-tag initial-input
 						    history)
   "Read a semantic tag, and return a tag for the selection.
 Argument COLLECTOR is an object which can be used to calculate
 a list of possible hits.  See `semantic-completion-collector-engine'
 for details on COLLECTOR.
-Argument DISPLAYOR is an object used to display a list of possible
+Argument DISPLAYER is an object used to display a list of possible
 completions for a given prefix.  See`semantic-completion-display-engine'
-for details on DISPLAYOR.
+for details on DISPLAYER.
 PROMPT is a string to prompt with.
 DEFAULT-TAG is a semantic tag or string to use as the default value.
 If INITIAL-INPUT is non-nil, insert it in the minibuffer initially.
 HISTORY is a symbol representing a variable to story the history in."
   (let* ((semantic-completion-collector-engine collector)
-	 (semantic-completion-display-engine displayor)
+	 (semantic-completion-display-engine displayer)
 	 (semantic-complete-active-default nil)
 	 (semantic-complete-current-matched-tag nil)
 	 (default-as-tag (semantic-complete-default-to-tag default-tag))
@@ -238,7 +238,7 @@
 				  'semantic-completion-default-history)
 			      default-tag)
       (semantic-collector-cleanup semantic-completion-collector-engine)
-      (semantic-displayor-cleanup semantic-completion-display-engine)
+      (semantic-displayer-cleanup semantic-completion-display-engine)
       )
     ;;
     ;; Extract the tag from the completion machinery.
@@ -309,10 +309,10 @@
 (defvar semantic-complete-current-matched-tag nil
   "Variable used to pass the tags being matched to the prompt.")
 
-;; semantic-displayor-focus-abstract-child-p is part of the
-;; semantic-displayor-focus-abstract class, defined later in this
+;; semantic-displayer-focus-abstract-child-p is part of the
+;; semantic-displayer-focus-abstract class, defined later in this
 ;; file.
-(declare-function semantic-displayor-focus-abstract-child-p "semantic/complete"
+(declare-function semantic-displayer-focus-abstract-child-p "semantic/complete"
 		  t t)
 
 (defun semantic-complete-current-match ()
@@ -324,7 +324,7 @@
   string - a message to show in the minibuffer."
   ;; Query the environment for an active completion.
   (let ((collector semantic-completion-collector-engine)
-	(displayor semantic-completion-display-engine)
+	(displayer semantic-completion-display-engine)
 	(contents (semantic-completion-text))
 	matchlist
 	answer)
@@ -336,20 +336,20 @@
 	(semantic-collector-calculate-completions collector contents nil))
       (semantic-complete-try-completion)
       (cond
-       ;; Input match displayor focus entry
-       ((setq answer (semantic-displayor-current-focus displayor))
+       ;; Input match displayer focus entry
+       ((setq answer (semantic-displayer-current-focus displayer))
 	;; We have answer, continue
 	)
        ;; One match from the collector
        ((setq matchlist (semantic-collector-current-exact-match collector))
 	(if (= (semanticdb-find-result-length matchlist) 1)
 	    (setq answer (semanticdb-find-result-nth-in-buffer matchlist 0))
-	  (if (semantic-displayor-focus-abstract-child-p displayor)
-	      ;; For focusing displayors, we can claim this is
+	  (if (semantic-displayer-focus-abstract-child-p displayer)
+	      ;; For focusing displayers, we can claim this is
 	      ;; not unique.  Multiple focuses can choose the correct
 	      ;; one.
 	      (setq answer "Not Unique")
-	    ;; If we don't have a focusing displayor, we need to do something
+	    ;; If we don't have a focusing displayer, we need to do something
 	    ;; graceful.  First, see if all the matches have the same name.
 	    (let ((allsame t)
 		  (firstname (semantic-tag-name
@@ -490,7 +490,7 @@
 If PARTIAL, do partial completion stopping at spaces.
 if INLINE, then completion is happening inline in a buffer."
   (let* ((collector semantic-completion-collector-engine)
-	 (displayor semantic-completion-display-engine)
+	 (displayer semantic-completion-display-engine)
 	 (contents (semantic-completion-text))
 	 (ans nil))
 
@@ -511,8 +511,8 @@
        ;; We need to display the completions.
        ;; Set the completions into the display engine
        ((or (eq na 'display) (eq na 'displayend))
-	(semantic-displayor-set-completions
-	 displayor
+	(semantic-displayer-set-completions
+	 displayer
 	 (or
 	  ;; For the below - This caused problems for Chong Yidong
 	  ;; when experimenting with the completion engine.  I don't
@@ -523,14 +523,14 @@
 	  ;;      (semantic-collector-current-exact-match collector))
 	  (semantic-collector-all-completions collector contents))
 	 contents)
-	;; Ask the displayor to display them.
-	(semantic-displayor-show-request displayor))
+	;; Ask the displayer to display them.
+	(semantic-displayer-show-request displayer))
        ((eq na 'scroll)
-	(semantic-displayor-scroll-request displayor)
+	(semantic-displayer-scroll-request displayer)
 	)
        ((eq na 'focus)
-	(semantic-displayor-focus-next displayor)
-	(semantic-displayor-focus-request displayor)
+	(semantic-displayer-focus-next displayer)
+	(semantic-displayer-focus-request displayer)
 	)
        ((eq na 'empty)
 	(semantic-completion-message " [No Match]"))
@@ -586,8 +586,8 @@
 (defun semantic-complete-inline-done ()
   "This completion thing is DONE, OR, insert a newline."
   (interactive)
-  (let* ((displayor semantic-completion-display-engine)
-	 (tag (semantic-displayor-current-focus displayor)))
+  (let* ((displayer semantic-completion-display-engine)
+	 (tag (semantic-displayer-current-focus displayer)))
     (if tag
 	(let ((txt (semantic-completion-text)))
 	  (insert (substring (semantic-tag-name tag)
@@ -624,7 +624,7 @@
 	(when semantic-completion-collector-engine
 	  (semantic-collector-cleanup semantic-completion-collector-engine))
 	(when semantic-completion-display-engine
-	  (semantic-displayor-cleanup semantic-completion-display-engine))
+	  (semantic-displayer-cleanup semantic-completion-display-engine))
 
 	(when semantic-complete-inline-overlay
 	  (let ((wc (semantic-overlay-get semantic-complete-inline-overlay
@@ -720,29 +720,29 @@
   (condition-case e
       (save-excursion
 	(let ((collector semantic-completion-collector-engine)
-	      (displayor semantic-completion-display-engine)
+	      (displayer semantic-completion-display-engine)
 	      (contents (semantic-completion-text)))
 	  (when collector
 	    (semantic-collector-calculate-completions
 	     collector contents nil)
-	    (semantic-displayor-set-completions
-	     displayor
+	    (semantic-displayer-set-completions
+	     displayer
 	     (semantic-collector-all-completions collector contents)
 	     contents)
-	    ;; Ask the displayor to display them.
-	    (semantic-displayor-show-request displayor))
+	    ;; Ask the displayer to display them.
+	    (semantic-displayer-show-request displayer))
 	  ))
     (error (message "Bug Showing Completions: %S" e))))
 
 (defun semantic-complete-inline-tag-engine
-  (collector displayor buffer start end)
+  (collector displayer buffer start end)
   "Perform completion based on semantic tags in a buffer.
 Argument COLLECTOR is an object which can be used to calculate
 a list of possible hits.  See `semantic-completion-collector-engine'
 for details on COLLECTOR.
-Argument DISPLAYOR is an object used to display a list of possible
+Argument DISPLAYER is an object used to display a list of possible
 completions for a given prefix.  See`semantic-completion-display-engine'
-for details on DISPLAYOR.
+for details on DISPLAYER.
 BUFFER is the buffer in which completion will take place.
 START is a location for the start of the full symbol.
 If the symbol being completed is \"foo.ba\", then START
@@ -750,7 +750,7 @@
 END is at the end of the current symbol being completed."
   ;; Set us up for doing completion
   (setq semantic-completion-collector-engine collector
-	semantic-completion-display-engine displayor)
+	semantic-completion-display-engine displayer)
   ;; Create an overlay
   (setq semantic-complete-inline-overlay
 	(semantic-make-overlay start end buffer nil t))
@@ -782,19 +782,19 @@
   )
 
 (defun semantic-complete-inline-down()
-  "Focus forwards through the displayor."
+  "Focus forwards through the displayer."
   (interactive)
-  (let ((displayor semantic-completion-display-engine))
-    (semantic-displayor-focus-next    displayor)
-    (semantic-displayor-focus-request displayor)
+  (let ((displayer semantic-completion-display-engine))
+    (semantic-displayer-focus-next    displayer)
+    (semantic-displayer-focus-request displayer)
     ))
 
 (defun semantic-complete-inline-up ()
-  "Focus backwards through the displayor."
+  "Focus backwards through the displayer."
   (interactive)
-  (let ((displayor semantic-completion-display-engine))
-    (semantic-displayor-focus-previous displayor)
-    (semantic-displayor-focus-request  displayor)
+  (let ((displayer semantic-completion-display-engine))
+    (semantic-displayer-focus-previous displayer)
+    (semantic-displayer-focus-request  displayer)
     ))
 
 
@@ -802,13 +802,13 @@
 ;;; Interactions between collection and displaying
 ;;
 ;; Functional routines used to help collectors communicate with
-;; the current displayor, or for the previous section.
+;; the current displayer, or for the previous section.
 
 (defun semantic-complete-next-action (partial)
   "Determine what the next completion action should be.
 PARTIAL is non-nil if we are doing partial completion.
 First, the collector can determine if we should perform a completion or not.
-If there is nothing to complete, then the displayor determines if we are
+If there is nothing to complete, then the displayer determines if we are
 to show a completion list, scroll, or perhaps do a focus (if it is capable.)
 Expected return values are:
   done -> We have a singular match
@@ -818,21 +818,21 @@
   display -> Show the list of completions
   scroll -> The completions have been shown, and the user keeps hitting
             the complete button.  If possible, scroll the completions
-  focus -> The displayor knows how to shift focus among possible completions.
+  focus -> The displayer knows how to shift focus among possible completions.
            Let it do that.
-  displayend -> Whatever options the displayor had for repeating options, there
+  displayend -> Whatever options the displayer had for repeating options, there
            are none left.  Try something new."
   (let ((ans1 (semantic-collector-next-action
 		semantic-completion-collector-engine
 		partial))
-	(ans2 (semantic-displayor-next-action
+	(ans2 (semantic-displayer-next-action
 		semantic-completion-display-engine))
 	)
     (cond
-     ;; No collector answer, use displayor answer.
+     ;; No collector answer, use displayer answer.
      ((not ans1)
       ans2)
-     ;; Displayor selection of 'scroll, 'display, or 'focus trumps
+     ;; Displayer selection of 'scroll, 'display, or 'focus trumps
      ;; 'done
      ((and (eq ans1 'done) ans2)
       ans2)
@@ -900,7 +900,7 @@
    )
   "Root class for completion engines.
 The baseclass provides basic functionality for interacting with
-a completion displayor object, and tracking the current progress
+a completion displayer object, and tracking the current progress
 of a completion."
   :abstract t)
 
@@ -922,7 +922,7 @@
 	(cond ((and cem (= cemlen 1)
 		    cac (> caclen 1)
 		    (eq last-command this-command))
-	       ;; Defer to the displayor...
+	       ;; Defer to the displayer...
 	       nil)
 	      ((and cem (= cemlen 1))
 	       'done)
@@ -1260,44 +1260,44 @@
 ;;; ------------------------------------------------------------
 ;;; Tag List Display Engines
 ;;
-;; A typical displayor accepts a pre-determined list of completions
+;; A typical displayer accepts a pre-determined list of completions
 ;; generated by a collector.  This format is in semanticdb search
 ;; form.  This vaguely standard form is a bit challenging to navigate
 ;; because the tags do not contain buffer info, but the file associated
 ;; with the tags precedes the tag in the list.
 ;;
-;; Basic displayors don't care, and can strip the results.
-;; Advanced highlighting displayors need to know when they need
+;; Basic displayers don't care, and can strip the results.
+;; Advanced highlighting displayers need to know when they need
 ;; to load a file so that the tag in question can be highlighted.
 ;;
-;; Key interface methods to a displayor are:
-;; * semantic-displayor-next-action
-;; * semantic-displayor-set-completions
-;; * semantic-displayor-current-focus
-;; * semantic-displayor-show-request
-;; * semantic-displayor-scroll-request
-;; * semantic-displayor-focus-request
+;; Key interface methods to a displayer are:
+;; * semantic-displayer-next-action
+;; * semantic-displayer-set-completions
+;; * semantic-displayer-current-focus
+;; * semantic-displayer-show-request
+;; * semantic-displayer-scroll-request
+;; * semantic-displayer-focus-request
 
-(defclass semantic-displayor-abstract ()
+(defclass semantic-displayer-abstract ()
   ((table :type (or null semanticdb-find-result-with-nil)
 	  :initform nil
 	  :protection :protected
-	  :documentation "List of tags this displayor is showing.")
+	  :documentation "List of tags this displayer is showing.")
    (last-prefix :type string
 		:protection :protected
 		:documentation "Prefix associated with slot `table'")
    )
-  "Abstract displayor baseclass.
+  "Abstract displayer baseclass.
 Manages the display of some number of tags.
-Provides the basics for a displayor, including interacting with
+Provides the basics for a displayer, including interacting with
 a collector, and tracking tables of completion to display."
   :abstract t)
 
-(defmethod semantic-displayor-cleanup ((obj semantic-displayor-abstract))
-  "Clean up any mess this displayor may have."
+(defmethod semantic-displayer-cleanup ((obj semantic-displayer-abstract))
+  "Clean up any mess this displayer may have."
   nil)
 
-(defmethod semantic-displayor-next-action ((obj semantic-displayor-abstract))
+(defmethod semantic-displayer-next-action ((obj semantic-displayer-abstract))
   "The next action to take on the minibuffer related to display."
   (if (and (slot-boundp obj 'last-prefix)
 	   (string= (oref obj last-prefix) (semantic-completion-text))
@@ -1305,65 +1305,65 @@
       'scroll
     'display))
 
-(defmethod semantic-displayor-set-completions ((obj semantic-displayor-abstract)
+(defmethod semantic-displayer-set-completions ((obj semantic-displayer-abstract)
 					       table prefix)
   "Set the list of tags to be completed over to TABLE."
   (oset obj table table)
   (oset obj last-prefix prefix))
 
-(defmethod semantic-displayor-show-request ((obj semantic-displayor-abstract))
+(defmethod semantic-displayer-show-request ((obj semantic-displayer-abstract))
   "A request to show the current tags table."
   (ding))
 
-(defmethod semantic-displayor-focus-request ((obj semantic-displayor-abstract))
-  "A request to for the displayor to focus on some tag option."
+(defmethod semantic-displayer-focus-request ((obj semantic-displayer-abstract))
+  "A request to for the displayer to focus on some tag option."
   (ding))
 
-(defmethod semantic-displayor-scroll-request ((obj semantic-displayor-abstract))
-  "A request to for the displayor to scroll the completion list (if needed)."
+(defmethod semantic-displayer-scroll-request ((obj semantic-displayer-abstract))
+  "A request to for the displayer to scroll the completion list (if needed)."
   (scroll-other-window))
 
-(defmethod semantic-displayor-focus-previous ((obj semantic-displayor-abstract))
+(defmethod semantic-displayer-focus-previous ((obj semantic-displayer-abstract))
   "Set the current focus to the previous item."
   nil)
 
-(defmethod semantic-displayor-focus-next ((obj semantic-displayor-abstract))
+(defmethod semantic-displayer-focus-next ((obj semantic-displayer-abstract))
   "Set the current focus to the next item."
   nil)
 
-(defmethod semantic-displayor-current-focus ((obj semantic-displayor-abstract))
+(defmethod semantic-displayer-current-focus ((obj semantic-displayer-abstract))
   "Return a single tag currently in focus.
 This object type doesn't do focus, so will never have a focus object."
   nil)
 
-;; Traditional displayor
-(defcustom semantic-completion-displayor-format-tag-function
+;; Traditional displayer
+(defcustom semantic-completion-displayer-format-tag-function
   #'semantic-format-tag-name
   "*A Tag format function to use when showing completions."
   :group 'semantic
   :type semantic-format-tag-custom-list)
 
-(defclass semantic-displayor-traditional (semantic-displayor-abstract)
+(defclass semantic-displayer-traditional (semantic-displayer-abstract)
   ()
   "Display options in *Completions* buffer.
 Traditional display mechanism for a list of possible completions.
 Completions are showin in a new buffer and listed with the ability
 to click on the items to aid in completion.")
 
-(defmethod semantic-displayor-show-request ((obj semantic-displayor-traditional))
+(defmethod semantic-displayer-show-request ((obj semantic-displayer-traditional))
   "A request to show the current tags table."
 
   ;; NOTE TO SELF.  Find the character to type next, and emphesize it.
 
   (with-output-to-temp-buffer "*Completions*"
     (display-completion-list
-     (mapcar semantic-completion-displayor-format-tag-function
+     (mapcar semantic-completion-displayer-format-tag-function
 	     (semanticdb-strip-find-results (oref obj table))))
     )
   )
 
-;;; Abstract baseclass for any displayor which supports focus
-(defclass semantic-displayor-focus-abstract (semantic-displayor-abstract)
+;;; Abstract baseclass for any displayer which supports focus
+(defclass semantic-displayer-focus-abstract (semantic-displayer-abstract)
   ((focus :type number
 	  :protection :protected
 	  :documentation "A tag index from `table' which has focus.
@@ -1375,13 +1375,13 @@
     :documentation
     "Non-nil if focusing requires a tag's buffer be in memory.")
    )
-  "Abstract displayor supporting `focus'.
-A displayor which has the ability to focus in on one tag.
+  "Abstract displayer supporting `focus'.
+A displayer which has the ability to focus in on one tag.
 Focusing is a way of differentiationg between multiple tags
 which have the same name."
   :abstract t)
 
-(defmethod semantic-displayor-next-action ((obj semantic-displayor-focus-abstract))
+(defmethod semantic-displayer-next-action ((obj semantic-displayer-focus-abstract))
   "The next action to take on the minibuffer related to display."
   (if (and (slot-boundp obj 'last-prefix)
 	   (string= (oref obj last-prefix) (semantic-completion-text))
@@ -1397,13 +1397,13 @@
 	'focus)
     'display))
 
-(defmethod semantic-displayor-set-completions ((obj semantic-displayor-focus-abstract)
+(defmethod semantic-displayer-set-completions ((obj semantic-displayer-focus-abstract)
 					       table prefix)
   "Set the list of tags to be completed over to TABLE."
   (call-next-method)
   (slot-makeunbound obj 'focus))
 
-(defmethod semantic-displayor-focus-previous ((obj semantic-displayor-focus-abstract))
+(defmethod semantic-displayer-focus-previous ((obj semantic-displayer-focus-abstract))
   "Set the current focus to the previous item.
 Not meaningful return value."
   (when (and (slot-boundp obj 'table) (oref obj table))
@@ -1415,7 +1415,7 @@
 	)
       )))
 
-(defmethod semantic-displayor-focus-next ((obj semantic-displayor-focus-abstract))
+(defmethod semantic-displayer-focus-next ((obj semantic-displayer-focus-abstract))
   "Set the current focus to the next item.
 Not meaningful return value."
   (when (and (slot-boundp obj 'table) (oref obj table))
@@ -1428,13 +1428,13 @@
 	  (oset obj focus 0))
       )))
 
-(defmethod semantic-displayor-focus-tag ((obj semantic-displayor-focus-abstract))
+(defmethod semantic-displayer-focus-tag ((obj semantic-displayer-focus-abstract))
   "Return the next tag OBJ should focus on."
   (when (and (slot-boundp obj 'table) (oref obj table))
     (with-slots (table) obj
       (semanticdb-find-result-nth table (oref obj focus)))))
 
-(defmethod semantic-displayor-current-focus ((obj semantic-displayor-focus-abstract))
+(defmethod semantic-displayer-current-focus ((obj semantic-displayer-focus-abstract))
   "Return the tag currently in focus, or call parent method."
   (if (and (slot-boundp obj 'focus)
 	   (slot-boundp obj 'table)
@@ -1452,24 +1452,24 @@
     ;; Do whatever
     (call-next-method)))
 
-;;; Simple displayor which performs traditional display completion,
+;;; Simple displayer which performs traditional display completion,
 ;; and also focuses with highlighting.
-(defclass semantic-displayor-traditional-with-focus-highlight
-  (semantic-displayor-focus-abstract semantic-displayor-traditional)
+(defclass semantic-displayer-traditional-with-focus-highlight
+  (semantic-displayer-focus-abstract semantic-displayer-traditional)
   ((find-file-focus :initform t))
   "Display completions in *Completions* buffer, with focus highlight.
-A traditional displayor which can focus on a tag by showing it.
-Same as `semantic-displayor-traditional', but with selection between
+A traditional displayer which can focus on a tag by showing it.
+Same as `semantic-displayer-traditional', but with selection between
 multiple tags with the same name done by 'focusing' on the source
 location of the different tags to differentiate them.")
 
-(defmethod semantic-displayor-focus-request
-  ((obj semantic-displayor-traditional-with-focus-highlight))
+(defmethod semantic-displayer-focus-request
+  ((obj semantic-displayer-traditional-with-focus-highlight))
   "Focus in on possible tag completions.
 Focus is performed by cycling through the tags and highlighting
 one in the source buffer."
   (let* ((tablelength (semanticdb-find-result-length (oref obj table)))
-	 (focus (semantic-displayor-focus-tag obj))
+	 (focus (semantic-displayer-focus-tag obj))
 	 ;; Raw tag info.
 	 (rtag (car focus))
 	 (rtable (cdr focus))
@@ -1530,7 +1530,7 @@
 ;; * Safe compatibility for tooltip free systems.
 ;; * Don't use 'avoid package for tooltip positioning.
 
-(defclass semantic-displayor-tooltip (semantic-displayor-traditional)
+(defclass semantic-displayer-tooltip (semantic-displayer-traditional)
   ((max-tags     :type integer
 		 :initarg :max-tags
 		 :initform 5
@@ -1568,14 +1568,14 @@
   "Display completions options in a tooltip.
 Display mechanism using tooltip for a list of possible completions.")
 
-(defmethod initialize-instance :AFTER ((obj semantic-displayor-tooltip) &rest args)
+(defmethod initialize-instance :AFTER ((obj semantic-displayer-tooltip) &rest args)
   "Make sure we have tooltips required."
   (condition-case nil
       (require 'tooltip)
     (error nil))
   )
 
-(defmethod semantic-displayor-show-request ((obj semantic-displayor-tooltip))
+(defmethod semantic-displayer-show-request ((obj semantic-displayer-tooltip))
   "A request to show the current tags table."
   (if (or (not (featurep 'tooltip)) (not tooltip-mode))
       ;; If we cannot use tooltips, then go to the normal mode with
@@ -1583,7 +1583,7 @@
       (call-next-method)
     (let* ((tablelong (semanticdb-strip-find-results (oref obj table)))
 	   (table (semantic-unique-tag-table-by-name tablelong))
-	   (l (mapcar semantic-completion-displayor-format-tag-function table))
+	   (l (mapcar semantic-completion-displayer-format-tag-function table))
 	   (ll (length l))
 	   (typing-count (oref obj typing-count))
 	   (force-show (oref obj force-show))
@@ -1610,7 +1610,7 @@
 	      ;; If there is nothing, say so!
 	      (if (eq 0 (length msg))
 		  (setq msg "[NO MATCH]")))
-	    (semantic-displayor-tooltip-show msg))
+	    (semantic-displayer-tooltip-show msg))
 	;; The typing count determines if the user REALLY REALLY
 	;; wanted to show that much stuff.  Only increment
 	;; if the current command is a completion command.
@@ -1623,9 +1623,9 @@
 	(setq msg (mapconcat 'identity l "\n"))
 	(cond
 	 ((= force-show -1)
-	  (semantic-displayor-tooltip-show (concat msg "\n...")))
+	  (semantic-displayer-tooltip-show (concat msg "\n...")))
 	 ((= force-show 1)
-	  (semantic-displayor-tooltip-show (concat msg "\n(TAB for more)")))
+	  (semantic-displayer-tooltip-show (concat msg "\n(TAB for more)")))
 	 )))))
 
 ;;; Compatibility
@@ -1633,14 +1633,14 @@
 (eval-and-compile
   (if (fboundp 'window-inside-edges)
       ;; Emacs devel.
-      (defalias 'semantic-displayor-window-edges
+      (defalias 'semantic-displayer-window-edges
         'window-inside-edges)
     ;; Emacs 21
-    (defalias 'semantic-displayor-window-edges
+    (defalias 'semantic-displayer-window-edges
       'window-edges)
     ))
 
-(defun semantic-displayor-point-position ()
+(defun semantic-displayer-point-position ()
   "Return the location of POINT as positioned on the selected frame.
 Return a cons cell (X . Y)"
   (let* ((frame (selected-frame))
@@ -1652,9 +1652,9 @@
           (+ (cdr point-pix-pos) (cadr edges) top))))
 
 
-(defun semantic-displayor-tooltip-show (text)
+(defun semantic-displayer-tooltip-show (text)
   "Display a tooltip with TEXT near cursor."
-  (let ((point-pix-pos (semantic-displayor-point-position))
+  (let ((point-pix-pos (semantic-displayer-point-position))
 	(tooltip-frame-parameters
 	 (append tooltip-frame-parameters nil)))
     (push
@@ -1665,19 +1665,19 @@
      tooltip-frame-parameters)
     (tooltip-show text)))
 
-(defmethod semantic-displayor-scroll-request ((obj semantic-displayor-tooltip))
-  "A request to for the displayor to scroll the completion list (if needed)."
+(defmethod semantic-displayer-scroll-request ((obj semantic-displayer-tooltip))
+  "A request to for the displayer to scroll the completion list (if needed)."
   ;; Do scrolling in the tooltip.
   (oset obj max-tags 30)
-  (semantic-displayor-show-request obj)
+  (semantic-displayer-show-request obj)
   )
 
 ;; End code contributed by Masatake YAMATO <jet@HIDDEN>
 
 
-;;; Ghost Text displayor
+;;; Ghost Text displayer
 ;;
-(defclass semantic-displayor-ghost (semantic-displayor-focus-abstract)
+(defclass semantic-displayer-ghost (semantic-displayer-focus-abstract)
 
   ((ghostoverlay :type overlay
 		 :documentation
@@ -1687,11 +1687,11 @@
 	       "Non nil if we have not seen our first show request.")
    )
   "Cycle completions inline with ghost text.
-Completion displayor using ghost chars after point for focus options.
+Completion displayer using ghost chars after point for focus options.
 Whichever completion is currently in focus will be displayed as ghost
 text using overlay options.")
 
-(defmethod semantic-displayor-next-action ((obj semantic-displayor-ghost))
+(defmethod semantic-displayer-next-action ((obj semantic-displayer-ghost))
   "The next action to take on the inline completion related to display."
   (let ((ans (call-next-method))
 	(table (when (slot-boundp obj 'table)
@@ -1703,28 +1703,28 @@
 	nil
       ans)))
 
-(defmethod semantic-displayor-cleanup ((obj semantic-displayor-ghost))
-  "Clean up any mess this displayor may have."
+(defmethod semantic-displayer-cleanup ((obj semantic-displayer-ghost))
+  "Clean up any mess this displayer may have."
   (when (slot-boundp obj 'ghostoverlay)
     (semantic-overlay-delete (oref obj ghostoverlay)))
   )
 
-(defmethod semantic-displayor-set-completions ((obj semantic-displayor-ghost)
+(defmethod semantic-displayer-set-completions ((obj semantic-displayer-ghost)
 					       table prefix)
   "Set the list of tags to be completed over to TABLE."
   (call-next-method)
 
-  (semantic-displayor-cleanup obj)
+  (semantic-displayer-cleanup obj)
   )
 
 
-(defmethod semantic-displayor-show-request ((obj semantic-displayor-ghost))
+(defmethod semantic-displayer-show-request ((obj semantic-displayer-ghost))
   "A request to show the current tags table."
 ;  (if (oref obj first-show)
 ;      (progn
 ;	(oset obj first-show nil)
-	(semantic-displayor-focus-next obj)
-	(semantic-displayor-focus-request obj)
+	(semantic-displayer-focus-next obj)
+	(semantic-displayer-focus-request obj)
 ;	)
     ;; Only do the traditional thing if the first show request
     ;; has been seen.  Use the first one to start doing the ghost
@@ -1733,13 +1733,13 @@
 ;    )
 )
 
-(defmethod semantic-displayor-focus-request
-  ((obj semantic-displayor-ghost))
+(defmethod semantic-displayer-focus-request
+  ((obj semantic-displayer-ghost))
   "Focus in on possible tag completions.
 Focus is performed by cycling through the tags and showing a possible
 completion text in ghost text."
   (let* ((tablelength (semanticdb-find-result-length (oref obj table)))
-	 (focus (semantic-displayor-focus-tag obj))
+	 (focus (semantic-displayer-focus-tag obj))
 	 (tag (car focus))
 	 )
     (if (not tag)
@@ -1786,14 +1786,14 @@
 	       (list 'const
 		     :tag doc1
 		     C)))
-	   (eieio-build-class-alist semantic-displayor-abstract t))
+	   (eieio-build-class-alist semantic-displayer-abstract t))
 	  )
-  "Possible options for inline completion displayors.
+  "Possible options for inline completion displayers.
 Use this to enable custom editing.")
 
-(defcustom semantic-complete-inline-analyzer-displayor-class
-  'semantic-displayor-traditional
-  "*Class for displayor to use with inline completion."
+(defcustom semantic-complete-inline-analyzer-displayer-class
+  'semantic-displayer-traditional
+  "*Class for displayer to use with inline completion."
   :group 'semantic
   :type semantic-complete-inline-custom-type
   )
@@ -1812,8 +1812,8 @@
 HISTORY is a symbol representing a variable to store the history in."
   (semantic-complete-read-tag-engine
    (semantic-collector-buffer-deep prompt :buffer (current-buffer))
-   (semantic-displayor-traditional-with-focus-highlight "simple")
-   ;;(semantic-displayor-tooltip "simple")
+   (semantic-displayer-traditional-with-focus-highlight "simple")
+   ;;(semantic-displayer-tooltip "simple")
    prompt
    default-tag
    initial-input
@@ -1834,8 +1834,8 @@
 HISTORY is a symbol representing a variable to store the history in."
   (semantic-complete-read-tag-engine
    (semantic-collector-local-members prompt :buffer (current-buffer))
-   (semantic-displayor-traditional-with-focus-highlight "simple")
-   ;;(semantic-displayor-tooltip "simple")
+   (semantic-displayer-traditional-with-focus-highlight "simple")
+   ;;(semantic-displayer-tooltip "simple")
    prompt
    default-tag
    initial-input
@@ -1859,7 +1859,7 @@
 				       :buffer (current-buffer)
 				       :path (current-buffer)
 				       )
-   (semantic-displayor-traditional-with-focus-highlight "simple")
+   (semantic-displayer-traditional-with-focus-highlight "simple")
    prompt
    default-tag
    initial-input
@@ -1871,7 +1871,7 @@
 This is similar to `semantic-complete-read-tag-project', except
 that the completion interaction is in the buffer where the context
 was calculated from.
-Customize `semantic-complete-inline-analyzer-displayor-class'
+Customize `semantic-complete-inline-analyzer-displayer-class'
 to control how completion options are displayed.
 See `semantic-complete-inline-tag-engine' for details on how
 completion works."
@@ -1906,9 +1906,9 @@
 	  ;; There are several options.  Do the completion.
 	  (semantic-complete-inline-tag-engine
 	   collector
-	   (funcall semantic-complete-inline-analyzer-displayor-class
-		    "inline displayor")
-	   ;;(semantic-displayor-tooltip "simple")
+	   (funcall semantic-complete-inline-analyzer-displayer-class
+		    "inline displayer")
+	   ;;(semantic-displayer-tooltip "simple")
 	   (current-buffer)
 	   start end))
       )))
@@ -1935,7 +1935,7 @@
       prompt
       :buffer (oref context buffer)
       :context context)
-     (semantic-displayor-traditional-with-focus-highlight "simple")
+     (semantic-displayer-traditional-with-focus-highlight "simple")
      (with-current-buffer (oref context buffer)
        (goto-char (cdr (oref context bounds)))
        (concat prompt (mapconcat 'identity syms ".")
@@ -1951,7 +1951,7 @@
 that the completion interaction is in the buffer where the context
 was calculated from.
 CONTEXT is the semantic analyzer context to start with.
-Customize `semantic-complete-inline-analyzer-displayor-class'
+Customize `semantic-complete-inline-analyzer-displayer-class'
 to control how completion options are displayed.
 
 See `semantic-complete-inline-tag-engine' for details on how
@@ -1986,18 +1986,18 @@
 	  ;; There are several options.  Do the completion.
 	  (semantic-complete-inline-tag-engine
 	   collector
-	   (funcall semantic-complete-inline-analyzer-displayor-class
-		    "inline displayor")
-	   ;;(semantic-displayor-tooltip "simple")
+	   (funcall semantic-complete-inline-analyzer-displayer-class
+		    "inline displayer")
+	   ;;(semantic-displayer-tooltip "simple")
 	   (oref context buffer)
 	   (car (oref context bounds))
 	   (cdr (oref context bounds))
 	   ))
       )))
 
-(defcustom semantic-complete-inline-analyzer-idle-displayor-class
-  'semantic-displayor-ghost
-  "*Class for displayor to use with inline completion at idle time."
+(defcustom semantic-complete-inline-analyzer-idle-displayer-class
+  'semantic-displayer-ghost
+  "*Class for displayer to use with inline completion at idle time."
   :group 'semantic
   :type semantic-complete-inline-custom-type
   )
@@ -2008,13 +2008,13 @@
 This function is used from `semantic-idle-completions-mode'.
 
 This is the same as `semantic-complete-inline-analyzer', except that
-it uses `semantic-complete-inline-analyzer-idle-displayor-class'
+it uses `semantic-complete-inline-analyzer-idle-displayer-class'
 to control how completions are displayed.
 
 See `semantic-complete-inline-tag-engine' for details on how
 completion works."
-  (let ((semantic-complete-inline-analyzer-displayor-class
-	 semantic-complete-inline-analyzer-idle-displayor-class))
+  (let ((semantic-complete-inline-analyzer-displayer-class
+	 semantic-complete-inline-analyzer-idle-displayer-class))
     (semantic-complete-inline-analyzer context)
     ))
 
@@ -2086,7 +2086,7 @@
 possible values.
 The function returns immediately, leaving the buffer in a mode that
 will perform the completion.
-Configure `semantic-complete-inline-analyzer-displayor-class' to change
+Configure `semantic-complete-inline-analyzer-displayer-class' to change
 how completion options are displayed."
   (interactive)
   ;; Only do this if we are not already completing something.
@@ -2108,7 +2108,7 @@
 possible values.
 The function returns immediately, leaving the buffer in a mode that
 will perform the completion.
-Configure `semantic-complete-inline-analyzer-idle-displayor-class'
+Configure `semantic-complete-inline-analyzer-idle-displayer-class'
 to change how completion options are displayed."
   (interactive)
   ;; Only do this if we are not already completing something.

=== modified file 'lisp/cedet/semantic/idle.el'
--- lisp/cedet/semantic/idle.el	2011-11-03 20:03:45 +0000
+++ lisp/cedet/semantic/idle.el	2011-11-09 06:14:28 +0000
@@ -953,7 +953,7 @@
 
 When enabled, Emacs displays a list of possible completions at
 idle time.  The method for displaying completions is given by
-`semantic-complete-inline-analyzer-idle-displayor-class'; the
+`semantic-complete-inline-analyzer-idle-displayer-class'; the
 default is to show completions inline.
 
 While a completion is displayed, RET accepts the completion; M-n





Acknowledgement sent to Paul Eggert <eggert@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10001; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 31 May 2017 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.